## sphinx-togglebutton 0.3.2

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = SphinxCopybutton
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
sphinx-togglebutton (0.3.2-1.1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.
  * [85eaaa4] Update debian-branch in gbp.conf

 -- Santiago Ruano Rincón <santiago@freexian.com>  Wed, 14 May 2025 14:15:17 -0300

sphinx-togglebutton (0.3.2-1.1) unstable; urgency=medium

  * Team upload.
  * No change source-only upload.

 -- Boyuan Yang <byang@debian.org>  Wed, 05 Mar 2025 11:01:00 -0500

sphinx-togglebutton (0.3.2-1) unstable; urgency=medium

  * [3d0c8e8] New upstream version 0.3.2
    (Closes: #1098310)
  * [6fb63d2] Initial Debianization

 -- Kathara Sasikumar <katharasasikumar007@gmail.com>  Thu, 27 Feb 2025 01:35:12 +0530

=== debian/control ===
Source: sphinx-togglebutton
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Kathara Sasikumar <katharasasikumar007@gmail.com>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-setuptools,
Standards-Version: 4.7.0
Homepage: https://github.com/executablebooks/sphinx-togglebutton
Vcs-Browser: https://salsa.debian.org/python-team/packages/sphinx-togglebutton
Vcs-Git: https://salsa.debian.org/python-team/packages/sphinx-togglebutton.git
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python3-sphinx-togglebutton
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Toggle page content and collapse admonitions in Sphinx (Python 3)
 Small Sphinx extension that enables toggle buttons for collapsing
 admonitions (notes, warnings, etc.) and arbitrary content using a
 collapse directive.
 .
 This package installs the library for Python 3.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1

export PYBUILD_NAME=sphinx-togglebutton
# Upstream doesn't provide any tests.
export PYBUILD_DISABLE=test
export PYBUILD_BEFORE_INSTALL=rm -rf {build_dir}/LICENSE

%:
	dh $@ --buildsystem=pybuild

override_dh_clean:
	dh_clean
	rm -rf .mypy_cache .pytest_cache

=== debian/watch ===
version=4

opts="mode=git, \
      compression=gz, \
      pgpmode=none, \
      uversionmangle=s/(\d)[_\.\-\+]?((alpha|beta|post|pre|dev|RC|rc)\.?\d*)$/$1~$2/, \
      dversionmangle=s/\+ds(\.?\d+)?$//" \
https://github.com/executablebooks/sphinx-togglebutton.git \
      refs/tags/@ANY_VERSION@

## sphinx-togglebutton 0.4.4

=== debian/changelog ===
sphinx-togglebutton (0.4.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Remove run-time dependencies on setuptools and wheel (closes: #1125786).
  * Drop "Rules-Requires-Root: no", default as of dpkg-dev 1.22.13.

 -- Colin Watson <cjwatson@debian.org>  Sun, 18 Jan 2026 11:44:11 +0000

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,6 @@
 Vcs-Browser: https://salsa.debian.org/python-team/packages/sphinx-togglebutton
 Vcs-Git: https://salsa.debian.org/python-team/packages/sphinx-togglebutton.git
 Testsuite: autopkgtest-pkg-python
-Rules-Requires-Root: no
 
 Package: python3-sphinx-togglebutton
 Architecture: all
